@import '../../colors.scss';

.page.question {
    .main {
        position: relative;
        margin: 56px 0 76px 0;
    }
    .header {
        display: flex;
        flex-direction: row;
        background-color: white;
        padding-top: 30px;
        .score-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 3px 7px;
            margin-left: 20px;
            border-radius: 50px;
            background-color: $gray-lighter;
            .score {
                display: flex;
                align-items: center;
                justify-content: center;
                margin: 0;
                border-radius: 50%;
                background-color: #ffffff40;
                font-size: 25px;
                &.selected {
                    color: $orange;
                }
            }
            .score-value {
                font-size: 1.5rem;
                font-weight: 400;
                margin: 5px 0;
                transition: opacity 200ms ease-out;
                &.fade-enter {
                    opacity: 0;
                }
                &.fade-exit {
                    opacity: 1;
                }
                &.fade-enter-active {
                    opacity: 1;
                }
                &.fade-exit-active {
                    opacity: 0;
                }
            }
        }
    }
    .question-content {
        background-color: white;
        padding: 20px 20px 10px;
    }
    .question-image {
        width: 100%;
    }
    h1 {
        margin: 0;
        padding: 0 20px 0 10px;
        font-size: 3rem;
        font-weight: 400;
    }
    p {
        padding: 20px;
        margin: 0;
        font-size: 1.4rem;
        font-weight: 100;
        line-height: 2.4rem;
        text-align: justify;
    }
    ul {
        padding-left: 20px;
    }
    h2 {
        margin: 0;
        padding: 25px 20px 0;
        font-size: 2rem;
    }

    .tools-container {
        overflow: auto hidden;
        width: 100%;
        max-width: 100%;
        &::-webkit-scrollbar {
            display: none;
        }
        .tools-scroll {
            display: flex;
            flex-flow: nowrap;
            width: fit-content;
            padding: 10px 15px;
        }
        .tool {
            // border-radius: 5px;
            overflow: hidden;
            margin: 5px;
            padding: 10px;
            box-shadow: 0px 1px 5px #00000040;
            width: 100px;
            background-color: white;
            img {
                display: block;
                max-height: 100px;
            }
            .tool-titlebar {
                padding-top: 10px;
                font-size: 1.2rem;
                .tool-title {
                    display: block;
                    font-weight: bold;
                    width: 100%;
                    white-space: nowrap;
                    text-overflow: ellipsis;
                    overflow: hidden;
                }
                .tool-price {
                    display: flex;
                    padding-top: 5px;
                    font-style: italic;
                    .main-part {
                        font-weight: bold;
                        font-size: 1.4rem;
                    }
                    .change-part {
                        position: relative;
                        left: -2px;
                        font-size: 1rem;
                        font-weight: 700;
                    }
                }
            }
            .tool-actionbar {
                padding-top: 10px;
                direction: rtl;
                .action {
                    margin-left: 5px;
                    font-size: 1.6rem;
                }
            }
        }
    }
    .answers-title-container {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        h2 {
            padding: 25px 20px;
        }
        .answers-sort-button {
            margin: 15px;
            padding: 10px;
            font-size: 1.6rem;
            border-radius: 50%;
            transition: all 200ms;
            &:active {
                background-color: $gray-light;
            }
        }
    }

    .answers-container {
        .answer-container {
            display: flex;
            flex-direction: column;
            margin: 20px;
            background-color: white;
            &:first-child {
                margin-top: 0;
            }

            .answer-score-container {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                padding: 3px 7px;
                margin: 10px 0 0 20px;
                border-radius: 50px;
                background-color: $gray-lighter;
                &.accepted {
                    border: 1px solid green;
                    background: #e9fce9;
                    color: green;
                }
                .score {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin: 0;
                    border-radius: 50%;
                    background-color: #ffffff40;
                    font-size: 15px;
                    &.selected {
                        color: $orange;
                    }
                }
                .score-value {
                    font-size: 1rem;
                    font-weight: 400;
                    margin: 5px 0;
                    transition: opacity 200ms ease-out;
                    &.fade-enter {
                        opacity: 0;
                    }
                    &.fade-exit {
                        opacity: 1;
                    }
                    &.fade-enter-active {
                        opacity: 1;
                    }
                    &.fade-exit-active {
                        opacity: 0;
                    }
                }
            }

            .author-container {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-start;
                .author-avatar {
                    height: 40px;
                    width: 40px;
                    border-radius: 50%;
                    overflow: hidden;
                    margin: 20px 10px 10px 10px;
                }
                .author-title {
                    display: flex;
                    flex-direction: column;
                    margin: 20px 0 10px 0;
                    .author-name {
                        flex: 1;
                        font-size: 1.6rem;
                        font-weight: bold;
                        display: flex;
                        align-items: center;
                        .certified {
                            padding-left: 5px;
                            font-size: 1.5rem;
                            color: #1da1f2;
                        }
                    }
                    .author-details {
                        font-size: 1.2rem;
                    }
                }
                .timestamp {
                    flex: 1;
                    display: flex;
                    align-items: center;
                    justify-content: flex-end;
                    padding: 20px 20px 20px 0;
                    font-size: 1.2rem;
                }
            }
            p {
                padding-top: 10px;
            }
        }
    }
}
